Summary: uses internet talk protocol to create multiuser chat sessions
Name: ytalk
Version: 3.0.3
Release: 2
Source: sunsite.unc.edu:/pub/Linux/system/Network/chat/ytalk-3.0.3-8bit.tar.gz
Patch0: ytalk-3.0.3-config.patch
Patch1: ytalk-3.0.3-glibc.patch
Copyright: BSD
Group: Networking

%description
ytalk is an extension of the standard Internet 'talk' protocol that allows 
more than two users per conversation, redirection of program output to others, 
as well as an easy-to-use menu of commands. It uses the same talk daemon
as the standard talk program.

%prep
%setup -n ytalk-3.0.3-8bit
%patch0 -p1
%patch1 -p1

%build
xmkmf
make 

%install
if [ -f /etc/ytalkrc ]; then
	mv /etc/ytalkrc /tmp/ytalkrc.rpm
fi

make install

cat > /etc/ytalkrc << EOF
turn scrolling on
turn word-wrap on
turn auto-import on
turn auto-invite on
turn auto-rering on
turn X off

EOF

chmod 644 /etc/ytalkrc
strip /usr/bin/ytalk

%clean
if [ -f /tmp/ytalkrc.rpm ]; then
	mv /tmp/ytalkrc.rpm /etc/ytalkrc
fi

%files
%config /etc/ytalkrc
/usr/bin/ytalk
/usr/man/man1/ytalk.1

